Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.tools
Class SoapUIToolRunner

    java.lang.Object
      com.eviware.soapui.tools.AbstractSoapUIRunner
          com.eviware.soapui.tools.SoapUIToolRunner

All Implemented Interfaces:
  RunnerContext, ToolHost

    public class SoapUIToolRunner

extends AbstractSoapUIRunner
implements ToolHost, RunnerContext

Standalone tool-runner used from maven-plugin, can also be used from command-line (see xdocs) or directly from other classes.

For standalone usage, set the project file (with setProjectFile) and other desired properties before calling run

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.tools.AbstractSoapUIRunner
`AbstractSoapUIRunner.SoapUIOptions`

Nested classes/interfaces inherited from interface com.eviware.soapui.impl.wsdl.actions.iface.tools.support.RunnerContext
`RunnerContext.RunnerStatus`

Field Summary
`static java.lang.String` | `TITLE`

Fields inherited from class com.eviware.soapui.tools.AbstractSoapUIRunner
`log`

Constructor Summary
`SoapUIToolRunner()`
`SoapUIToolRunner(java.lang.String title)`

Method Summary
`void` | `disposeContext()`
`RunnerContext.RunnerStatus` | `getStatus()`
`java.lang.String` | `getTitle()`
`protected AbstractSoapUIRunner.SoapUIOptions` | `initCommandLineOptions()`
`void` | `log(java.lang.String msg)`
`void` | `logError(java.lang.String msg)`
`static void` | `main(java.lang.String[] args)` Runs the specified tool in the specified soapUI project file, see soapUI xdocs for details.
`protected boolean` | `processCommandLine(org.apache.commons.cli.CommandLine cmd)`
`void` | `run(ToolRunner runner)`
`void` | `runRunner()`
`void` | `runTool(Interface iface)` Runs the configured tool(s) for the specified interface.. needs to be refactored to use some kind of registry/factory pattern for tools
`void` | `setInterface(java.lang.String iface)`
`void` | `setStatus(RunnerContext.RunnerStatus status)`
`void` | `setTool(java.lang.String tool)` Sets the tool(s) to run, can be a comma-seperated list

Methods inherited from class com.eviware.soapui.tools.AbstractSoapUIRunner
`createSoapUICore, getProjectFile, getSettingsFile, initFromCommandLine, initGroovyLog, run, runFromCommandLine, setEnableUI, setProjectFile, setSettingsFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE

    public static java.lang.String TITLE

Constructor Detail

### SoapUIToolRunner

    public SoapUIToolRunner()

### SoapUIToolRunner

    public SoapUIToolRunner(java.lang.String title)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Runs the specified tool in the specified soapUI project file, see soapUI xdocs for details.

  Parameters:
    `args` -
  Throws:
    `java.lang.Exception`

### setTool

    public void setTool(java.lang.String tool)

  Sets the tool(s) to run, can be a comma-seperated list

  Parameters:
    `tool` - the tools to run

### setInterface

    public void setInterface(java.lang.String iface)

### runRunner

    public void runRunner()
                   throws java.lang.Exception

  Specified by:
    `runRunner` in class `AbstractSoapUIRunner`
  Throws:
    `java.lang.Exception`

### runTool

    public void runTool(Interface iface)

  Runs the configured tool(s) for the specified interface.. needs to be refactored to use some kind of registry/factory pattern for tools

  Parameters:
    `iface` -

### run

    public void run(ToolRunner runner)
             throws java.lang.Exception

  Specified by:
    `run` in interface `ToolHost`
  Throws:
    `java.lang.Exception`

### getStatus

    public RunnerContext.RunnerStatus getStatus()

  Specified by:
    `getStatus` in interface `RunnerContext`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `RunnerContext`

### log

    public void log(java.lang.String msg)

  Specified by:
    `log` in interface `RunnerContext`

### logError

    public void logError(java.lang.String msg)

  Specified by:
    `logError` in interface `RunnerContext`

### setStatus

    public void setStatus(RunnerContext.RunnerStatus status)

  Specified by:
    `setStatus` in interface `RunnerContext`

### disposeContext

    public void disposeContext()

  Specified by:
    `disposeContext` in interface `RunnerContext`

### initCommandLineOptions

    protected AbstractSoapUIRunner.SoapUIOptions initCommandLineOptions()

  Specified by:
    `initCommandLineOptions` in class `AbstractSoapUIRunner`

### processCommandLine

    protected boolean processCommandLine(org.apache.commons.cli.CommandLine cmd)

  Specified by:
    `processCommandLine` in class `AbstractSoapUIRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.